For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETRetrieve network coverage collection
        • GETRetrieve network coverage data
        • PUTAdd network coverage data
        • DELRemove operator from network coverage
        • PATCHUpdate VPLMN status in network coverage configuration
        • PUTBlacklist RAT type
        • DELRemove a RAT type from the blacklist
LogoLogo
Request featuresContact support
API ReferenceNetwork Coverage

Add network coverage data

PUT
https://cdn.emnify.net/api/v1/network_coverage/:coverage_id/coverage/:operator_id
PUT
/api/v1/network_coverage/:coverage_id/coverage/:operator_id
$curl -X PUT https://cdn.emnify.net/api/v1/network_coverage/coverage_id/coverage/operator_id \
> -H "Authorization: Bearer <token>"
200Updated
1{}

To open access for a specific VPLMN you need to add it to the network coverage.



This call adds an operator by id to the selected coverage and generates a new network_coverage_data object.

Was this page helpful?
Previous

Retrieve network coverage data

Next

Remove operator from network coverage

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

coverage_idstringRequired
operator_idstringRequired

Response

Success